Bug 1805445 - Ensure kube-apiserver advertises the correct IP on bare metal clusters
Summary: Ensure kube-apiserver advertises the correct IP on bare metal clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1805449
Blocks: 1805865
TreeView+ depends on / blocked
 
Reported: 2020-02-20 19:48 UTC by Russell Bryant
Modified: 2020-05-04 11:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1805449 1805865 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:38:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 773 None closed Bug 1805445: [release-4.4] baremetal: Explicitly advertise the host IP chosen by kubelet 2020-04-28 12:04:38 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:39:08 UTC

Description Russell Bryant 2020-02-20 19:48:25 UTC
On a bare metal cluster, kube-apiserver's default behavior for choosing which IP to advertise may choose the wrong IP on a bare metal cluster that has some Virtual IPs.  See this PR for more details: https://github.com/openshift/cluster-kube-apiserver-operator/pull/760

Comment 4 errata-xmlrpc 2020-05-04 11:38:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.